Bug 735208 - management of store/journal no longer available
Summary: management of store/journal no longer available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: 2.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: 2.1.2
: ---
Assignee: Gordon Sim
QA Contact: Leonid Zhaldybin
URL:
Whiteboard:
Depends On:
Blocks: 783492
TreeView+ depends on / blocked
 
Reported: 2011-09-01 19:52 UTC by Gordon Sim
Modified: 2014-11-09 22:38 UTC (History)
3 users (show)

Fixed In Version: qpid-cpp-mrg-0.14-3.el5
Doc Type: Bug Fix
Doc Text:
Cause: Attempt to use management tools to view the store/journal stats. Consequence: No stats were available even when store was in use due to broken initialisation logic in the store module. Fix: The initialisation logic for the store module was fixed. Result: The store module correctly displays management stats for the store plugin.
Clone Of:
Environment:
Last Closed: 2012-04-30 17:52:47 UTC


Attachments (Terms of Use)
Possible fix (1.34 KB, patch)
2011-09-01 19:53 UTC, Gordon Sim
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0529 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Messaging 2.1 security and enhancement update 2012-04-30 21:48:25 UTC

Description Gordon Sim 2011-09-01 19:52:17 UTC
Description of problem:

The store module supports management objects for the store itself and for each journal. However these are no longer showing up in e.g. qpid-tool. This is because the store is not registering them.

Version-Release number of selected component (if applicable):

qpid-cpp-server-store-0.10-8.el5

How reproducible:

100%

Steps to Reproduce:
1. start broker with store loaded
2. run qpid-tool
3. type schema and look for store and journal classes
  
Actual results:

None are found

Expected results:

Classes are found e.g.

QMF Classes:
    Package                 Name                  Kind
    ======================================================
    com.redhat.rhm.store    store                 object
    com.redhat.rhm.store    journal               object

Additional info:

Regression caused by http://viewvc.jboss.org/cgi-bin/viewvc.cgi/rhmessaging?view=revision&revision=4446

Comment 1 Gordon Sim 2011-09-01 19:53:24 UTC
Created attachment 521087 [details]
Possible fix

Comment 3 Gordon Sim 2011-12-05 13:28:15 UTC
See also bug 760112

Comment 5 Leonid Zhaldybin 2012-01-11 13:23:18 UTC
Tested using the following packages:

RHEL6.2
python-qpid-0.14-1.el6
python-qpid-qmf-0.14-3.el6
qpid-cpp-client-0.14-1.el6
qpid-cpp-client-devel-0.14-1.el6
qpid-cpp-client-devel-docs-0.14-1.el6
qpid-cpp-client-rdma-0.14-1.el6
qpid-cpp-client-ssl-0.14-1.el6
qpid-cpp-debuginfo-0.14-1.el6
qpid-cpp-server-0.14-1.el6
qpid-cpp-server-cluster-0.14-1.el6
qpid-cpp-server-devel-0.14-1.el6
qpid-cpp-server-rdma-0.14-1.el6
qpid-cpp-server-ssl-0.14-1.el6
qpid-cpp-server-store-0.14-1.el6
qpid-cpp-server-xml-0.14-1.el6
qpid-qmf-0.14-3.el6
qpid-qmf-devel-0.14-3.el6
qpid-tools-0.14-1.el6

RHEL5.7
python-qpid-0.14-1.el5
python-qpid-qmf-0.14-2.el5
qpid-cpp-client-0.14-4.el5
qpid-cpp-client-devel-0.14-4.el5
qpid-cpp-client-devel-docs-0.14-4.el5
qpid-cpp-client-rdma-0.14-4.el5
qpid-cpp-client-ssl-0.14-4.el5
qpid-cpp-mrg-debuginfo-0.14-4.el5
qpid-cpp-server-0.14-4.el5
qpid-cpp-server-cluster-0.14-4.el5
qpid-cpp-server-devel-0.14-4.el5
qpid-cpp-server-rdma-0.14-4.el5
qpid-cpp-server-ssl-0.14-4.el5
qpid-cpp-server-store-0.14-4.el5
qpid-cpp-server-xml-0.14-4.el5
qpid-qmf-0.14-2.el5
qpid-qmf-devel-0.14-2.el5
qpid-tools-0.14-1.el5

-> VERIFIED

Comment 6 Gordon Sim 2012-03-06 18:37:41 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause:

  Attempt to use management tools to view the store/journal stats.

Consequence:

  No stats were available even when store was in use due to broken initialisation logic in the store module.

Fix:

  The initialisation logic for the store module was fixed.

Result:

  The store module correctly displays management stats for the store plugin.

Comment 7 errata-xmlrpc 2012-04-30 17:52:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0529.html


Note You need to log in before you can comment on or make changes to this bug.